> For the complete documentation index, see [llms.txt](https://ui.docs.kafbat.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://ui.docs.kafbat.io/development/building/without-docker.md).

# Without Docker

Build & Run Without Docker

Once you installed the prerequisites and cloned the repository, run the following steps in your project directory:

### Running Without Docker Quickly <a href="#run_without_docker_quickly" id="run_without_docker_quickly"></a>

* [Download the latest kafbat-ui jar file](https://github.com/kafbat/kafka-ui/releases)

**Execute the jar**

```bash
java -Dspring.config.additional-location=<path-to-application-local.yml> --add-opens java.rmi/javax.rmi.ssl=ALL-UNNAMED -jar <path-to-kafbat-ui-jar>
```

* Example of how to configure clusters in the [application-local.yml](https://github.com/kafbat/kafka-ui/blob/main/api/src/main/resources/application-local.yml) configuration file.

### Building And Running Without Docker <a href="#build_and_run_without_docker" id="build_and_run_without_docker"></a>

> ***NOTE:*** If you want to get kafbat-ui up and running locally quickly without building the jar file manually, then just follow Running Without Docker Quickly

Proceed with building instructions from \[\[with-docker]] and disable/remove `build-docker-images` flag.

* Command to build the jar

> Once your build is successful and the jar file named kafbat-ui-api-0.0.1-SNAPSHOT.jar is generated inside `kafbat-ui-api/target`.

* Execute the jar


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://ui.docs.kafbat.io/development/building/without-docker.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
